GC.clear is not defined (test error)
Target version: 2.0.0   

ruby -v: ruby 2.0.0dev (2012-11-22 trunk 37790)

[i386-mingw32]

Backport:  

Description

=begin

In r37783 a new test was added, but such test is failing on our Windows CI:

http://ci.rubyinstaller.org/job/ruby-trunk-x64-test-all/246/console

http://ci.rubyinstaller.org/job/ruby-trunk-x86-test-all/346/console

test_profiler_clear(TestGc):

NoMethodError: undefined method clear' for GC:Module C:/Users/Luis/Code/ruby/ruby/test/ruby/test_gc.rb:127:in test_profiler_clear'

=end

Associated revisions

Revision cda3a0c75e25b36169c3fa56068803cca9229242 - 11/21/2012 11:09 PM - authorNari (Narihiro Nakamura)

test/ruby/test_gc.rb (test_profiler_clear): fix wrong method

calls [Bug #7419] [ruby-core:49828].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37791 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision cda3a0c7 - 11/21/2012 11:09 PM - authorNari (Narihiro Nakamura)

test/ruby/test_gc.rb (test_profiler_clear): fix wrong method

calls [Bug #7419] [ruby-core:49828].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37791 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 11/22/2012 08:10 AM - authorNari (Narihiro Nakamura)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r37791.

Luis, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

test/ruby/test_gc.rb (test_profiler_clear): fix wrong method
